Subject: Re: bug#77315: 31.0.50; Crash in Finsert_file_contents, file size changed

From: Pip Cet <[email-masked]>
Date: Sat, 07 Jun 2025 10:52:00 +0000

"Eli Zaretskii" <[email-masked]> writes:

>> Cc: [email-masked], [email-masked]
>> Date: Thu, 27 Mar 2025 19:48:02 +0200
>> From: Eli Zaretskii <[email-masked]>
>>
>> > Date: Thu, 27 Mar 2025 11:22:48 -0600
>> > Cc: [email-masked]
>> > From: Paul Eggert <[email-masked]>
>> >
>> > On 3/27/25 10:21, Eli Zaretskii wrote:
>> > > AFAIR, insert-file-contents needs to be completely rewritten to handle
>> > > such situations.
>> >
>> > I drafted something a while ago along those lines but never got around
>> > to finish it. I'll try to bump the priority.
>>
>> Thanks in advance.
>
> Did you have a chance to make some progress in this matter?

I'm hitting this bug with some regularity (and working around it by
force-returning from Finsert_file_contents in gdb) on the MPS branch.
It's not a problem, but I am occasionally reminded it's still there :-)

Pip